package org.eclipse.jdt.internal.compiler;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import org.eclipse.jdt.internal.compiler.ASTVisitor;
import org.eclipse.jdt.internal.compiler.SourceElementNotifier;
import org.eclipse.jdt.internal.compiler.ast.ImportReference;
import org.eclipse.jdt.internal.compiler.ast.TypeDeclaration;
import org.eclipse.jdt.internal.compiler.lookup.BlockScope;
import org.eclipse.jdt.internal.compiler.lookup.ClassScope;

public class LocalDeclarationVisitor extends ASTVisitor {
  public ImportReference currentPackage;
  
  ArrayList declaringTypes;
  
  public void pushDeclaringType(TypeDeclaration declaringType) {
    if (this.declaringTypes == null)
      this.declaringTypes = new ArrayList(); 
    this.declaringTypes.add(declaringType);
  }
  
  public void popDeclaringType() {
    this.declaringTypes.remove(this.declaringTypes.size() - 1);
  }
  
  public TypeDeclaration peekDeclaringType() {
    if (this.declaringTypes == null)
      return null; 
    int size = this.declaringTypes.size();
    if (size == 0)
      return null; 
    return this.declaringTypes.get(size - 1);
  }
  
  public boolean visit(TypeDeclaration typeDeclaration, BlockScope scope) {
    SourceElementNotifier.this.notifySourceElementRequestor(typeDeclaration, true, peekDeclaringType(), this.currentPackage);
    return false;
  }
  
  public boolean visit(TypeDeclaration typeDeclaration, ClassScope scope) {
    SourceElementNotifier.this.notifySourceElementRequestor(typeDeclaration, true, peekDeclaringType(), this.currentPackage);
    return false;
  }
}
